routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'AccueilController@index')->name('accueil.index');
Auth::routes();
Route::get('logout', 'Auth\LoginController@logout');

Route::get('/accueil', 'AccueilController@index')->name('accueil.index');
Route::get('/article/{id}', 'ArticleController@show')->name('article.show');
Route::get('/category/{id}', 'CategoryController@show')->name('category.show');
Route::get('/Inscription', 'InscriptionController@create')->name('inscription.create');
Route::post('/InscriptionStore', 'InscriptionController@store')->name('inscription.store');
Route::get('/Contact', 'ContactController@create')->name('contact.show');
Route::get('/contact/check/{contact}/{token}', 'ContactController@validation')->name('contact.check');
Route::post('/contact', 'ContactController@store')->name('contact.store');

Route::prefix('adm13')->name('admin.')->namespace('Back')->middleware('can:gate-connexion')->group(function () {
    Route::get('/', 'CategoryController@index')->name('back.home');
    // Route::get('/', 'IndexController@index')->name('back.home');

    Route::post('/article/addFile', 'ArticleController@addFile')->name('article.addFile');
    Route::post('/article/delFile{id}', 'AjaxController@delFile')->name('ajax.delFile');
    Route::resource('/article', 'ArticleController');
    Route::get('/mes-articles', 'ArticleController@my')->name('article.my');;
    Route::post('/export-membres', 'RegistrationController@export')->name('registration.export');;
    Route::resource('/registration', 'RegistrationController');
    Route::post('/category/create', 'CategoryController@create')->name('category.create');
    Route::post('/category/addChildren', 'CategoryController@addChildren')->name('category.addChildren');
    Route::post('/category/addFile', 'CategoryController@addFile')->name('category.addFile');
    Route::post('/category/delFile/{idCategorie}', 'CategoryController@delFile')->name('category.delFile');
    Route::resource('/category', 'CategoryController');
    Route::resource('/file', 'FileController');
    Route::resource('/evenement', 'EventController');


});


// Route::get('/home', 'HomeController@index')->name('home');

Route::get('{url}', 'DynamicController@manage')
        ->where('url', '([A-Za-z0-9-_]+)');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Http/Controllers/Back/AjaxController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class AjaxController extends Controller
{
    /**
     * Ajoute un fichier à une rubrique
     *
     * @param  \Illuminate\Http\Requests  $request
     * @return \Illuminate\Http\Response
     */
    public function delFile(Request $request, $id) {
        return json_encode(
                (new \App\Repositories\FileRepository())->delFile($request->input()['id'], $id)
        );
    }
}

app/Http/Controllers/Back/ArticleController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Articles;
use App\Repositories\ArticlesRepository;
use App\Models\File;
use Illuminate\Support\Facades\Storage;
use Intervention\Image\Facades\Image as InterventionImage;
use Gate;

class ArticleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('back.article.index', ['articles' => (new ArticlesRepository())->getAll()]);
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function my()
    {
        return view('back.article.index', ['articles' => (new ArticlesRepository())->getAllByAuteur(isGuest()->id)]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (Gate::allows('gate-staff')) {
            return view('back.article.create', ['article' => null]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request, Articles $article)
    {
        if (Gate::allows('gate-staff')) {
            $articleRepo = new ArticlesRepository();
            $article = $articleRepo->save($request, $article);
            return redirect()->route('admin.article.edit', $article)->with('messageSuccess', __('common.message_maj'));
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Articles $article)
    {
        if (Gate::allows('gate-staff')) {
            return view('back.article.edit', [
                'article' => $article
            ]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Articles $article)
    {
        //@todo parent
        if (Gate::allows('gate-staff')) {
            $article->texte = $request->get('nicarea');
            $article->texte = str_replace(array('<doc', '|left>', '|right>', '|center>'), array('[doc', '/]', '/]', '/]',), $request->get('nicarea'));
            $article->texte = preg_replace_callback(
                    '`\[doc(.*)\/]`isU', function ($idImg) {
                $image = (new File())->find($idImg[1]);
                if ($image->mode === 'document') {
                    return '<a href="' . url(DISK_PATH_DOCS . $image->fichier) . '" title="' . $image->titre . '">' . $image->titre . '</a>';
                } elseif ($image->mode === 'image') {
                    return '<img src="' . url(DISK_PATH_IMG_STD . $image->fichier) . '" title="' . $image->titre . '" alt="' . $image->desc . '"/>';
                } else {
                    return '<a href="' . url(DISK_PATH_DOCS . $image->fichier) . '" title="' . $image->titre . '">' . $image->titre . '</a>';
                }

            }, $article->texte
            );
            $article->id_rubrique = $request->get('rubrique');
            $article->titre = $request->get('titre');
            $article->maj = date('Y-m-d H:i:s');
            $article->save();
            return redirect()->route('article.edit', $article->id_article)->with('messageSuccess', __('common.message_maj'));
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($article)
    {
        if (Gate::allows('gate-admin')) {
            return response()->json(Articles::destroy($article));
        } else {
            return response()->json('forbiden');
        }
    }

    /**
     * Ajoute un fichier à une rubrique
     *
     * @param  \Illuminate\Http\Requests  $request
     * @return \Illuminate\Http\Response
     * @todo virer les @ nécessaire sur wsl
     */
    public function addFile(Request $request) {
        if (Gate::allows('gate-staff')) {
            foreach ($request->file() as $input => $requestFile) {
                $idArticle = trim(strstr($input, '_'), '_');

                $diskStorage = DISK_DRIVER_DOCS;
                // Création des miniatures
                if (exif_imagetype($requestFile->getPathname()) !== false) {
                    $diskStorage = DISK_DRIVER_IMG_FULL;

                    // Save image
                    $path = @Storage::disk($diskStorage)->putFile('', $requestFile);

                    $image = InterventionImage::make($requestFile)->widen(IMG_MAX_SIZE_STD);
                    @Storage::disk(DISK_DRIVER_IMG_STD)->put($path, $image->encode());
                    $image = InterventionImage::make($requestFile)->widen(IMG_MAX_SIZE_TH);
                    @Storage::disk(DISK_DRIVER_IMG_TH)->put($path, $image->encode());
                } else {
                    $path = @Storage::disk($diskStorage)->putFile('', $requestFile);
                }
                if (@Storage::disk($diskStorage)->exists($path)) {
                    // Save in base
                    return json_encode(
                            (new \App\Repositories\FileRepository())->addFile($requestFile, $path, $idArticle, 'article')
                    );
                } else {
                    return json_encode(false);
                }
            }
            return json_encode(false);
        } else {
            return response()->json('forbiden');
        }
    }
}

app/Http/Controllers/Back/EventController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\EventRequest;
use App\Models\Evenements;
use Illuminate\Support\Carbon;
use Gate;

class EventController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $evenements = Evenements::whereDate('date_debut',
            '>',
            Carbon::now()
            ->subYear())
            ->orderBy('date_debut', 'desc')
            ->get();
        return view('back.event.index', ['evenements' => $evenements]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        if (Gate::allows('gate-staff')) {
            return view('back.event.create', ['event' => null]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(EventRequest $request, Evenements $event)
    {
        $request->merge([
            'date_debut' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_debut'))->format('Y-m-d H:i:s'),
            'date_fin' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_fin'))->format('Y-m-d H:i:s'),
            ]);
        $event->create($request->all());
        return redirect()->route('admin.evenement.index')->with('ok', __ ('common.message_enregistrement'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Evenements $evenement)
    {
        if (Gate::allows('gate-staff')) {
            return view('back.event.edit', ['event' => $evenement]);
        } else {
            return redirect()->route('admin.back.home')->with('messageError', __('common.autorisation_page'));
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(EventRequest $request, Evenements $evenement)
    {
        $request->merge([
            'date_debut' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_debut'))->format('Y-m-d H:i:s'),
            'date_fin' => Carbon::createFromFormat('d/m/Y H:i', $request->input('date_fin'))->format('Y-m-d H:i:s'),
            ]);
        $evenement->update($request->all());
        return redirect()->route('admin.evenement.index')->with('ok', __ ('common.message_enregistrement'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        if (Gate::allows('gate-staff')) {
            return response()->json(Evenements::destroy($id));
        } else {
            return response()->json('forbiden');
        }
    }
}

app/Http/Controllers/Back/FileController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\File;
use Gate;
use Illuminate\Support\Facades\DB;
use App\Models\FileLink;
class FileController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('back.file.index', ['documents' => (new File())->getAll()]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($idFile)
    {
        // return response()->json(DB::table((new FileLink())->getTable())->where('id_document', $idFile)->get());
        // dd((new FileLink())->getTable()->where('id_document', $idFile)->get());
        // foreach(DB::table((new FileLink())->getTable())->where('id_document', $idFichier)->get() as $link) {
        if (Gate::allows('gate-admin') || Gate::allows('gate-author')) {
            return json_encode(
                    (new \App\Repositories\FileRepository())->deleteFileForAll($idFile)
            );
        } else {
            return response()->json('forbiden');
        }
    }
}

app/Http/Controllers/Back/IndexController.php
<?php

namespace App\Http\Controllers\Back;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class IndexController extends Controller
{
    
        /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
//        $this->middleware('auth');
    }
    
    public function index() {
        return view('back.dashboard.index');
    }
}

resources/views/back/event/create.blade.php
@extends('back.layouts.app')

@section('content')

<section class="content-header">
    <h1>
            {{__('back_events.title.create')}}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.back.home')}}"><i class="fa fa-dashboard"></i> {{__('back_common.ariane.home')}}</a></li>
        <li><a href="{{ route('admin.evenement.index')}}">{{__('back_common.ariane.events')}}</a></li>
        <li class="active">{{__('back_common.ariane.action.create')}}</li>
    </ol>
</section>

<section class="content">
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif
<div class="row">
<form action='{{ route('admin.evenement.store') }}' method='post' enctype="multipart/form-data">
		{{ csrf_field() }}
			@include('back.event.form')
		</form>
	</div>
	</section>



@endsection

@include('back.event.plugins')

resources/views/back/event/edit.blade.php
@extends('back.layouts.app')

@section('content')

<section class="content-header">
    <h1>
            {{__('back_events.title.edit')}}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.back.home')}}"><i class="fa fa-dashboard"></i> {{__('back_common.ariane.home')}}</a></li>
        <li><a href="{{ route('admin.evenement.index')}}">{{__('back_common.ariane.events')}}</a></li>
        <li class="active">{{__('back_common.ariane.action.edit')}}</li>
    </ol>
</section>

<section class="content">
@if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
@endif

<div class="row">
	<form action='{{ route('admin.evenement.update', $event->id_evenement) }}' method='post' enctype="multipart/form-data">
		{{ csrf_field() }}
		{{ method_field('PUT') }}
		@include('back.event.form')
	</form>
</div>
</section>


@endsection

@include('back.event.plugins')

resources/views/back/event/form.blade.php

				<div class="box">
					<div class="box-body">
						<div class="col-xs-12">
							<div class="box box-primary">

								<div class="form-group {{ $errors->has('titre') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="titre">{{__('back_events.form.titre')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-flag-o"></i>
											</div>
											<input type="text" class="form-control" id="titre" name="titre" value="{{ old('titre') ?? $event->titre ?? '' }}" />
											<span class="help-block">{!! $errors->first('titre', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>
								<div class="form-group {{ $errors->has('descriptif') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="descriptif">{{__('back_events.form.description')}}</label>
									<div class="col-md-9">
										<textarea type="text" class="form-control" id="descriptif" name="descriptif">{{ old('descriptif') ?? $event->descriptif ?? '' }}</textarea>
										<span class="help-block">{!! $errors->first('descriptif', '<div class="invalid-feedback">:message</div>') !!}</span>
									</div>
								</div>

								<div class="form-group {{ $errors->has('date_debut') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="date_debut">{{__('back_events.form.debut')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-calendar"></i>
											</div>
											<input type="text" class="form-control" id="date_debut" name="date_debut" value="{{ old('date_debut') ?? (empty($event->date_debut) ?'': Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $event->date_debut)->format('d/m/Y H:i')) }}" placeholder="Clique sur l'icone pour afficher le calendrier">
											<span class="help-block">{!! $errors->first('date_debut', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

								<div class="form-group {{ $errors->has('date_fin') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="date_fin">{{__('back_events.form.fin')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-calendar"></i>
											</div>
											<input type="text" class="form-control" id="date_fin" name="date_fin" value="{{ old('date_fin') ?? (empty($event->date_fin) ?'': Carbon\Carbon::createFromFormat('Y-m-d H:i:s', $event->date_fin)->format('d/m/Y H:i')) }}" placeholder="jj/mm/aaaa 23:59">
											<span class="help-block">{!! $errors->first('date_fin', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

								<div class="form-group {{ $errors->has('lieu') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="lieu">{{__('back_events.form.lieu')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-map-signs"></i>
											</div>
											<input type="text" class="form-control pull-right" id="lieu" name="lieu" value="{{ old('lieu') ?? $event->lieu ?? '' }}">
											<span class="help-block">{!! $errors->first('lieu', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

								<div class="form-group {{ $errors->has('adresse') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="adresse">{{__('back_events.form.adresse')}}</label>
									<div class="col-md-9">
										<textarea type="text" class="form-control" id="adresse" name="adresse">{{ old('adresse') ?? $event->adresse ?? '' }}</textarea>
										<span class="help-block">{!! $errors->first('adresse', '<div class="invalid-feedback">:message</div>') !!}</span>
									</div>
								</div>

								<div class="form-group {{ $errors->has('places') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="places">{{__('back_events.form.places')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-th-list"></i>
											</div>
											<input type="text" class="form-control" id="places" name="places" value="{{ old('places') ?? $event->places ?? '' }}">
											<span class="help-block">{!! $errors->first('places', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

								<div class="form-group {{ $errors->has('couleur') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="couleur">{{__('back_events.form.couleur')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-delicious"></i>
											</div>
											<input type="text" class="form-control" id="couleur" name="couleur" value="{{ old('couleur') ?? $event->couleur ?? '' }}">
											<span class="help-block">{!! $errors->first('couleur', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

								<div class="form-group {{ $errors->has('url') ? 'has-error' : '' }}">
									<label class="col-sm-3 col-form-label text-md-right" for="url">{{__('back_events.form.lien')}}</label>
									<div class="col-md-9">
										<div class="input-group date">
											<div class="input-group-addon">
												<i class="fa fa-globe"></i>
											</div>
											<input type="text" class="form-control" id="url" name="url" value="{{ old('url') ?? $event->url ?? '' }}">
											<span class="help-block">{!! $errors->first('url', '<div class="invalid-feedback">:message</div>') !!}</span>
										</div>
									</div>
								</div>

							<input type='submit' name='ok' value='Enregistrer' class="btn btn-primary pull-right" /><br/><br/> {{__('common.champs_obligatoires')}}
						</div>
					</div>
				</div>
			</div>

resources/views/back/event/index.blade.php
<?php
/*
 *  @author  Florent Bonenfant <social1@niweb.eu>
 *  @version 1.0
 */
?>
@extends('back.layouts.app')

@section('content')

<section class="content-header">
    <h1>
            {{__('back_events.title.index')}}
    </h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('admin.back.home')}}"><i class="fa fa-dashboard"></i> {{__('back_common.ariane.home')}}</a></li>
        <li class="active">{{__('back_common.ariane.events')}}</li>
    </ol>
</section>

<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">

            <div class="box">

                <div class="box-body">
                        <p class="pull-right">
                            @can('gate-staff')
                                <a href="{{ route('admin.evenement.create')}}" class="btn btn-info btn-flat">
                                    <i class="fa fa-plus"></i> {{ __('common.ajouter')}}
                                </a>
                            @endcan
                        </p>
                    <table id="evenements" class="table table-bordered table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>{{__('back_events.events_titre')}}</th>
                                <th>{{__('back_events.events_inscriptions')}}</th>
                                <th>{{__('back_events.events_lieu')}}</th>
                                <th>{{__('back_events.events_date_debut')}}</th>
                                <th>{{__('back_events.events_date_fin')}}</th>
                                <th>{{__('back_events.events_action')}}</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($evenements as $event)
                            <tr>
                                <td>{{ $event->id_evenement }}</td>
                                <td>{{ $event->titre }}</td>
                                <td>{{ $event->inscription }} / {{ $event->places }}</td>
                                <td>{{ $event->lieu }}</td>
                                <td>{{ \Carbon\Carbon::parse($event->date_debut)->format('d/m/Y H:i') }}</td>
                                <td>{{ \Carbon\Carbon::parse($event->date_fin)->format('d/m/Y H:i') }}</td>
                                <td>
                                    <a href="{{ route('admin.evenement.edit', $event->id_evenement) }}" target="_self"><button class="btn btn-default btn-sm"><i class="fa fa-pencil"></i></button></a>
                                    <button class="btn btn-danger btn-sm" value="{{ $event->id_evenement }}"><i class="fa fa-trash-o"></i></button>
                                </td>
                            </tr>
                            @endforeach
                            </tfoot>
                    </table>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->


@endsection

@section('js')
<script src="{{ asset('js/jquery-ui.min.js') }}"></script>
<!-- DataTables -->
<script src="{{ asset('js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('js/dataTables.bootstrap.min.js') }}"></script>
<!-- SlimScroll -->
<script src="{{ asset('js/jquery.slimscroll.min.js') }}"></script>

<script>
$(function () {
//$("#example1").DataTable();
    $('#evenements').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": true,
        "pageLength": 15,
        "order": [[1, "desc"]],

        "language":
                {
                    "sProcessing": "Traitement en cours...",
                    "sSearch": "Rechercher&nbsp;:",
                    "sLengthMenu": "Afficher _MENU_ &eacute;l&eacute;ments",
                    "sInfo": "Affichage de l'&eacute;l&eacute;ment _START_ &agrave; _END_ sur _TOTAL_ &eacute;l&eacute;ments",
                    "sInfoEmpty": "Affichage de l'&eacute;l&eacute;ment 0 &agrave; 0 sur 0 &eacute;l&eacute;ment",
                    "sInfoFiltered": "(filtr&eacute; de _MAX_ &eacute;l&eacute;ments au total)",
                    "sInfoPostFix": "",
                    "sLoadingRecords": "Chargement en cours...",
                    "sZeroRecords": "Aucun &eacute;l&eacute;ment &agrave; afficher",
                    "sEmptyTable": "Aucune donn&eacute;e disponible dans le tableau",
                    "oPaginate": {
                        "sFirst": "Premier",
                        "sPrevious": "Pr&eacute;c&eacute;dent",
                        "sNext": "Suivant",
                        "sLast": "Dernier"
                    },
                    "oAria": {
                        "sSortAscending": ": activer pour trier la colonne par ordre croissant",
                        "sSortDescending": ": activer pour trier la colonne par ordre d&eacute;croissant"
                    }
                }

    });

    $('button.btn-danger').click(function(e) {
        swalConfirmDelete("{{ route('admin.evenement.index') }}" + "/" + $(this).attr('value'), e);
    });

});
</script>

@endsection
@section('css')
<!-- DataTables -->
<link rel="stylesheet" href="{{ asset('css/dataTables.bootstrap.min.css') }}">
@endsection
{{-- {{ route('admin.evenement.destroy', $event->id_evenement) }} --}}